{ KOL MCK } // Do not remove this line!
const miRgn = 0;
const miWnd = 1;
const miScr = 2;
const miCursor = 3;
const miRepeat = 5;
const miFrame = 6;
const miSvAs = 7;
const miClipBrd = 8;
const miAuto = 9;
const miFolder = 10;
const miHotkey = 11;
const miExit = 13;


procedure NewForm1( var Result: PForm1; AParent: PControl );
begin

  {$IFDEF KOLCLASSES}
  Result := PForm1.Create;
  {$ELSE OBJECTS}
  New( Result, Create );
  {$ENDIF KOL CLASSES/OBJECTS}
  Result.Form := NewForm( AParent, 'GrabScreen' );
  Result.Form.Add2AutoFree( Result );
   {$IFDEF USE_NAMES}
    Result.Form.Name := 'Form1';
   {$ENDIF}
    Result.Form.Visible := False;
    Result.Form.HasBorder := False;
    Result.Form.StayOnTop := True;
    {$R Form1_KOLForm1_BRUSH_BMP.res}
    Result.Form.Brush.BrushBitmap := LoadBmp( hInstance, 'FORM1_KOLFORM1_BRUSH_BMP', Result );
    Result.Form.Border := 0;
      Applet.OnMessage := Result.KOLApplet1Message;
      Result.Form.OnMessage := Result.KOLForm1Message;
      Result.Form.OnClose := Result.KOLForm1Close;
      Result.Form.OnMouseDown := Result.KOLForm1MouseDown;
      Result.Form.OnMouseMove := Result.KOLForm1MouseMove;
      Result.Form.OnMouseUp := Result.KOLForm1MouseUp;
      Result.Form.OnResize := Result.KOLForm1Resize;
      Result.Form.OnDestroy := Result.KOLForm1Destroy;
    NewMenu( Result.Form, 0, [ '' ], nil );

      {$R Form1_TrayIcon1.RES}
    Result.TrayIcon1 := NewTrayIcon( Applet, LoadIcon( hInstance, 'ZFORM1_TRAYICON1' ) );
    Result.TrayIcon1.Tooltip := 'Grab Region';
    Result.TrayIcon1.AutoRecreate := TRUE;
  Result.Form.Add2AutoFree( Result.TrayIcon1 );
      Result.TrayIcon1.OnMouse := Result.TrayIcon1Mouse;

    Result.Timer3 := NewTimer( 300 );
  Result.Form.Add2AutoFree( Result.Timer3 );
      Result.Timer3.OnTimer := Result.Timer3Timer;

    Result.SaveAsDialog1 := NewOpenSaveDialog( 'Save Grabbed Image As', '', [  ] );
      Result.SaveAsDialog1.Filter := 'Bitmap images (*.bmp)|*.bmp|JPEG images (*.jpg)|*.jpg|Portable Network Graphics images (*.png)|*.png';
      Result.SaveAsDialog1.OpenDialog := FALSE;
      Result.SaveAsDialog1.DefExtension := 'bmp';
  Result.Form.Add2AutoFree( Result.SaveAsDialog1 );

    Result.Timer1 := NewTimer( 200 );
  Result.Form.Add2AutoFree( Result.Timer1 );
      Result.Timer1.OnTimer := Result.Timer1Timer;

    Result.Timer2 := NewTimer( 100 );
  Result.Form.Add2AutoFree( Result.Timer2 );
      Result.Timer2.OnTimer := Result.Timer2Timer;

    Result.PopupMenu1 := NewMenu( Result.Form, 0, [ 
      '+!' + 'Grab &Region', '-!' + 'Grab &Window'
      , '-!' + '&Grab Screen', 'Grab with &Cursor', '-' + ''
      , 'Repeat &Last Region Capture', 'Show &Frame Always'
      , '&Save As...', 'Copy To &Clipboard Only', 'Save &Auto'
      , 'Open Captured Images &Folder', '&Hot key...', '-' + ''
      , 'E&xit', '' ], nil );
   {$IFDEF USE_NAMES}
    Result.PopupMenu1.Name := 'PopupMenu1';
   {$ENDIF}
    Result.PopupMenu1.AssignEvents( 0, [ Result.PopupMenu1miRgnMenu ] );
    Result.PopupMenu1.AssignEvents( 1, [ Result.PopupMenu1miWndMenu ] );
    Result.PopupMenu1.AssignEvents( 2, [ Result.PopupMenu1miScrMenu ] );
    Result.PopupMenu1.AssignEvents( 3, [ Result.PopupMenu1miCursorMenu ] );
    Result.PopupMenu1.AssignEvents( 5, [ Result.PopupMenu1miRepeatMenu ] );
    Result.PopupMenu1.AssignEvents( 6, [ Result.PopupMenu1miFrameMenu ] );
    Result.PopupMenu1.ItemEnabled[ 7 ] := False;
    Result.PopupMenu1.AssignEvents( 7, [ Result.PopupMenu1miSvAsMenu ] );
    Result.PopupMenu1.AssignEvents( 8, [ Result.PopupMenu1miClipBrdMenu ] );
    Result.PopupMenu1.AssignEvents( 9, [ Result.PopupMenu1miAutoMenu ] );
    Result.PopupMenu1.AssignEvents( 10, [ Result.PopupMenu1miFolderMenu ] );
    Result.PopupMenu1.AssignEvents( 11, [ Result.PopupMenu1miHotkeyMenu ] );
    Result.PopupMenu1.AssignEvents( 13, [ Result.PopupMenu1miExitMenu ] );
    // Result.Label1.TabOrder = -1
    Result.Label1 := NewLabel( Result.Form, '' ).SetPosition( 8, 8 ).AutoSize( TRUE );
   {$IFDEF USE_NAMES}
    Result.Label1.Name := 'Label1';
   {$ENDIF}
    Result.Label1.Font.Color := clHighlight;
    Result.Label1.Color := clInfoBk;
    Result.TrayIcon1.Active := TRUE;
      Result.SaveAsDialog1.WndOwner := Result.Form.GetWindowHandle;
    Result.KOLForm1FormCreate( Result );

end;

